Skip to main content
GET
/
v1
/
domains
/
tlds
[TLDs] List available TLDs
curl --request GET \
  --url https://api.onetsolutions.net/v1/domains/tlds \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tld": "<string>",
      "display_name": "<string>",
      "category": "generic",
      "pricing": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "years": 2147483647,
          "registration_price": "<string>",
          "renewal_price": "<string>",
          "transfer_price": "<string>"
        }
      ],
      "is_active": true,
      "is_registration_available": true,
      "is_transfer_available": true,
      "whois_privacy_available": true,
      "whois_privacy_price": "<string>",
      "transfer_lock_available": true,
      "min_registration_years": 2147483647,
      "max_registration_years": 2147483647
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Query Parameters

category
enum<string>

Filter by category: 'generic', 'country', or 'new'. Example: ?category=generic

Available options:
country,
generic,
new
is_registration_available
boolean

Filter by registration availability. Example: ?is_registration_available=true

is_transfer_available
boolean

Filter by transfer availability. Example: ?is_transfer_available=true

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Search in TLD name and display name. Example: ?search=com

tld
string

Filter by exact TLD extension (case-insensitive). Example: ?tld=com

tld_contains
string

Filter by TLD containing this string. Example: ?tld_contains=co

transfer_lock_available
boolean

Filter by transfer lock availability. Example: ?transfer_lock_available=true

whois_privacy_available
boolean

Filter by WHOIS privacy availability. Example: ?whois_privacy_available=true

Response

Successfully retrieved the list of available TLDs with pricing

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"